Bug 989549 - EAP 6.1 Console is contacting Google Analytics
EAP 6.1 Console is contacting Google Analytics
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: ER2
: ---
Assigned To: Heiko Braun
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks: 989536
  Show dependency treegraph
 
Reported: 2013-07-29 10:09 EDT by John Doyle
Modified: 2015-02-01 18:00 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:18:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1779 Critical Resolved Build switch for choosing the Analytics provider doesn't work 2015-07-10 07:10:56 EDT
Red Hat Knowledge Base (Solution) 752853 None None None Never

  None (edit)
Description John Doyle 2013-07-29 10:09:16 EDT
Description of problem:
The EAP 6.1 Console appears to be contacting Google Analytics and downloading a script.

The plugin that complains is here:
http://www.ghostery.com/help/firefox

The complaint is:
"Ghostery found 1 tracker
127.0.0.1:9990
Google Analytics
Analytics
Click here for more information about Google Analytics
Detected tracker source URLs:
http://www.google-analytics.com/ga.js

If I turn off the blocker then Firebug shows the script is fetched.  I can also set a breakpoint in the script file it's hit at load but I can't tell what it's doing - the code is minified.
Comment 1 Heiko Braun 2013-07-30 04:45:08 EDT
Confirmed.
Comment 2 Heiko Braun 2013-07-30 04:46:42 EDT
A bug in the build environment enabled thos feature, although it should be turned off in the product builds. 

We fix it in the next version, however in the meantime, Google Analytics can be turned in the console settings: "Settings>Analytics Enabled"
Comment 3 JBoss JIRA Server 2013-07-30 06:12:56 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira WFLY-1779 to Resolved
Comment 4 John Doyle 2013-07-30 10:18:09 EDT
Heiko,  when you say the next version, are you saying 6.1.1, 6.2, or are you referring to a HAL version?
Comment 5 Heiko Braun 2013-07-30 10:19:25 EDT
Next HAL version. If you put it on the roadmap, we make sure there will be a HAL update that includes it.
Comment 11 Jakub Cechacek 2013-10-07 04:07:54 EDT
Verified 6.2.0.ER4. I don't see the complaint in ghostery plugin, the script mentioned above is not fetched either.

Note You need to log in before you can comment on or make changes to this bug.